<?php 
/**
* @version		$Id: auth.interface.php 2569 2024-05-02 18:34:42Z IOS $
* @package		Elxis
* @subpackage	Component User / Authentication
* @copyright	Copyright (c) 2006-2024 Elxis CMS (https://www.elxis.org). All rights reserved.
* @license		Elxis Public License ( https://www.elxis.org/elxis-public-license.html )
* @author		Elxis Team ( https://www.elxis.org )
* @description 	Elxis CMS is free software. Read the license for copyright notices and details
*/

defined('_ELXIS_') or die ('Direct access to this location is not allowed');


interface authMethod {

	public function __construct($params);
	public function authenticate(&$response, $options);
	public function makeOTP($options);
	public function loginForm();
	public function runTask($etask);
	public function logout();

}

?>